Subject: bug#63550: proced-refine-with-update-test is racy

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 May 2023 14:20:06 +0300

> Cc: Mattias Engdegård <[email-masked]>,
>  [email-masked]
> From: Laurence Warne <[email-masked]>
> Date: Sun, 21 May 2023 09:37:10 +0100
> 
> Strange, I can't seem to reproduce running it continuously (I'm on linux also).  Though whilst looking
> over the test suite, I don't think I like the approach I took.  I've attached a new patch which changes the
> test suite to mock the list of active processes (of course comments welcome).
> 
> Are either of you able to test whether this fixes the test in question?  The change also makes the tests
> a lot faster to run and hopefully less system dependent.

Is mocking out the real Proced display a good idea in this case?
These tests test the ability to manipulate real-life process-attribute
displays, so showing they work in synthetic environment verifies only
part of the functionality, no?